## SYNOPSIS

           amixer [-c card] [cmd]

## DESCRIPTION

           amixer  allows  command-line  control of the mixer for the
           ALSA soundcard driver.  amixer  supports  multiple  sound
           cards.

## INVOKING

           amixer  with  no  arguments will display the current mixer
           settings for the default soundcard and device. This  is  a
           good  way  to  see a list of the simple mixer controls you
           can use.

## COMMANDS

           help   Shows syntax.

           info   Shows the information about a mixer device.

           scontrols
                  Shows a complete list of simple mixer controls.

           scontents
                  Shows a complete list of simple mixer controls with
                  their contents.

           set or sset <SCONTROL> <PARAMETER> ...
                  Sets the simple mixer control contents. The parame
                  ter can be the volume either as a  percentage  from
                  0% to 100% or an exact hardware value.  The parame
                  ters cap, nocap, mute, unmute, toggle are  used  to
                  change capture (recording) and muting for the group
                  specified.  The  parameters  front,  rear,  center,
                  woofer  are used to specify channels to be changed.
                  When plus(+) or minus(-) letter is  appended  after
                  volume  value,  the volume is incremented or decre
                  mented from the current value, respectively.

                  A simple mixer control must be specified. Only  one
                  device can be controlled at a time.

           get or sget <SCONTROL>
                  Shows the simple mixer control contents.

                  A  simple mixer control must be specified. Only one
                  device can be controlled at a time.
                  device,  numid.  The  next  argument  specifies the
                  value of control.

           cget <CONTROL>
                  Shows the card control contents. The identifier has
                  same syntax as for the cset]fP command.

       Options
           [-c card]

                  Select  the card number to control. The device name
                  created from this parameter has syntax 'hw:N' where
                  N is specified card number.

           [-D device]

                  Select the device name to control. The default con
                  trol name is 'default'.

           -h     Help: show syntax.

           -q     Quiet mode. Do not show results of changes.

       Example #1:
                  amixer -c 1 sset Line,0 80%,40% unmute cap

                  will set the second  soundcard's  left  line  input
                  volume  to  80% and right line input to 40%, unmute
                  it, and select it as a source for capture  (record
                  ing).

       Example #2:
                  amixer  -c  2  cset iface=MIXER,name='Line Playback
                  Volume",index=1 40%

                  will set the third soundcard's second line playback
                  volume(s) to 40%

       Example #3:
                  amixer -c 2 cset numid=34 40%

                  will set the 34th soundcard element to 40%

## BUGS